###############################################################################
###############################################################################
##
##  Copyright (C) 2004-2006 Red Hat, Inc.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################

Name: gfs2-utils
Version: 0.1.7
Release: 1%{?dist}
License: GPL
Group: System Environment/Kernel
Summary: Utilities for managing the global filesystem (GFS)
#ExclusiveArch: %{ix86} x86_64
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires: ncurses
BuildRequires: ncurses-devel
BuildRequires: glibc-kernheaders
BuildRequires: libvolume_id-devel
URL: http://sources.redhat.com/cluster/
Source0: gfs2-%{version}.tar.gz
Patch1: gfs2-utils-norun.patch
Patch2: gfs2-tempondisk.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
The gfs2-utils package contains a number of utilities for creating,
checking, modifying, and correcting any inconsistencies in GFS
filesystems.

%prep
%setup -q -n gfs2-%{version}
%patch1 -p2 -b .norun
%patch2 -p1 -b .tempondisk

%build
./configure --kernel_src=/usr --libdir=%{_libdir}
sed -i '/RELEASE_MAJOR/s/= .*/= 0/' make/defines.mk
sed -i '/RELEASE_MINOR/s/= .*/= 1.0/' make/defines.mk
sed -i '/RELEASE /s/= .*/= %{version}/' make/defines.mk
mkdir include/linux
cp include/gfs2_ondisk.h include/linux/
make

%post
/sbin/chkconfig --add gfs2

%preun
if [ "$1" = 0 ]; then
	/sbin/chkconfig --del gfs2
fi
exit 0

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/sbin/*
/etc/rc.d/init.d/gfs2

%{_mandir}/*/*

%changelog
* Wed Sep 13 2006 Chris Feist <cfeist@redhat.com> 0.1.7-1
- New Upstream sources.

* Thu Sep 07 2006 Chris Feist <cfeist@redhat.com> 0.1.6-2
- Fix typo in uninstall script (turn off gfs2 instead of gfs)

* Mon Aug 28 2006 Chris Feist <cfeist@redhat.com> 0.1.6-1
- New Upstream sources.

* Tue Aug 22 2006 Chris Feist <cfeist@redhat.com> 0.1.5-1
- New Upstream sources.

* Mon Aug 14 2006 Chris Feist <cfeist@redhat.com> 0.1.3-0
- New Upstream sources, use dist tag.

* Fri Jul 14 2006 Chris Feist <cfeist@redhat.com>
- Rebuild with updated sources

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com>
- rebuild

* Tue Jun 27 2006 Florian La Roche <laroche@redhat.com>
- fix typo in preun script

* Fri Jun 09 2006 Chris Feist <cfeist@redhat.com> - 0.1.0-1.fc6.3
- Initial build of gfs-utils.
